Installing & Configuring WingIDE on Kali Linux

Installing Dependencies:

  • Main required dependency for WingIDE is “libqt4-webkit”. To Install it, we first need to install Synaptic Package Manager. Install SPM by following command:
# sudo apt-get install synaptic -y
  • When installation is completed, open Synaptic Package Manager by searching for “synaptic” in Launchpad.
  • Now click on “Search” and search for “libqt4-webkit
  • Select the box before its name and select “Mark for installation”. Click Apply to install this.

 

  • Now, it’s time to Restart Kali Linux.

 

# sudo init 6

Installing WingIDE:

  • Download latest available stable version of WingIDE from following link.

Current latest version available is: 5.1.7-1 (rev 33992), so I’ll download file: wingide5_5.1.7-1_amd64.deb.

  • Open the Terminal window and follow the below given steps.

 

# cd /root/Downloads
# dpkg -i wingide5_5.1.7-1_amd64.deb
  • It should be successfully installed now and display following screen (some comments may be changed, but there must be no error.)

 

  • Now open newly installed WingIDE by searching for “wing” in Launchpad as shown below.

Installing & Configuring WingIDE on Kali Linux

 

Back to top button
Close